1. Docs
  2. API Reference
  3. List the SCIM resource types

List the SCIM resource types

GET/scim/v2/directories/{directoryId}/ResourceTypes

SCIM 2.0 (RFC 7644 §4). Lists the resource types this directory serves, User and Group, with their endpoints and schemas, as a SCIM ListResponse.

Path Parameters

directoryIdstring Required

The directory the SCIM token was minted for.

Responses

application/scim+json

  • schemasstring[]*
  • totalResultsnumber*
  • startIndexnumber*

    1-based

  • itemsPerPagenumber*
  • Resourcesany object[]*

    The `ResourceType` or `Schema` resources for Users and Groups (RFC 7643 sections 6 and 7)

application/scim+json

  • schemasstring[]*
  • statusstring*

    The HTTP status, as a string

  • detailstring*
  • scimTypestring

    Present for some refusals, e.g. `uniqueness`

Returned object

Request
curl -X GET "https://auth.canopy-io.com/scim/v2/directories/value/ResourceTypes"
Response
{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "totalResults": 0,
  "startIndex": 0,
  "itemsPerPage": 0,
  "Resources": [
    {}
  ]
}
Related endpoints Was this page helpful?

Tell us how we can improve this guide.